<?php
require_once '../../init.php';
// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once LIB_PATH . '/Plugin/Component.php';

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
  require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
  require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
  require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER);

if (isset($_GET['bannerid'])) {
  $bannerid = $_GET['bannerid'];
} else {
  die("Id has not been passed. Please try Again");
}

$agency_id = OA_Permission::getEntityId();


if ($_GET['value'] == 1) {
  $banner_state = OA_Dal_Delivery_query("Update rv_banners set status='0',admin_approve='1' where bannerid='" . $bannerid . "' ") or die(mysqli_error());
  $msg = "Approved";
}

if ($_GET['value'] == 0) {
  $adminid = OA_Dal_Delivery_query("SELECT * FROM rv_users WHERE user_id='1' ") or die(mysqli_error());
  $emailid = OA_Dal_Delivery_fetchAssoc($adminid);
  $from = $emailid['email_address'];

  $email_query = OA_Dal_Delivery_query("Select clientname,email from rv_clients as a,rv_campaigns as c, rv_banners as b where b.bannerid=" . $bannerid . " and  c.campaignid = b.campaignid and a.clientid = c.clientid");
  $email_row = OA_Dal_Delivery_fetchAssoc($email_query);
  $sendto = $email_row['email'];
  $subject = "Banner Not Approved";

  $message1 = '<table width="100%" border="0" cellspacing="0" cellpadding="0" >
  <tr>
    <td>Hi ' . $email_row['clientname'] . ',</td>
  </tr>
  <tr><td height="10"></td>
  </tr>
  <tr>
    <td height="10">Your Banner with the Banner Id (' . $bannerid . ') has been kept in Hold State. Modify your Banner Informations so that it will be take For Approval Again.</td>
  </tr>
  <tr>
    <td height="10"></td>
  </tr>
  <tr>
    <td height="10">Regards,</td>
  </tr>
  <tr>
    <td height="10">Admin</td>
  </tr>
 
</table>';

  $headers1 = 'MIME-Version: 1.0' . "\r\n";
  $headers1 .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
  $headers1 .= 'From: ' . $from . "\r\n";

  if (mail($sendto, $subject, $message1, $headers1)) {
    echo "<script language='javascript'>alert('Intimation mail has been sent to Client successfully.');</script>";
  } else {
    echo "<script language='javascript'>alert('Intimation mail has been sent to Client failed.');</script>";
  }
  $banner_state = OA_Dal_Delivery_query("Update rv_banners set status='1',admin_approve='2' where bannerid='" . $bannerid . "'  ") or die(mysqli_error());
  $msg = "Rejected";
}

if ($_GET['value'] == 2) {

  OA_Dal_Delivery_query("Delete from rv_banners where bannerid='" . $bannerid . "' ") or die(mysqli_error());
  $msg = "Deleted";
}


if (!empty($_GET['id'])) {
  header('Location: manager-approval.php?id=1');
} else {
  $translation = new OX_Translation();
  $translated_message = $translation->translate("Banner has been " . $msg);
  OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
  header('Location: account-settings-banner-approve.php');
}
?>