<?php
require_once '../../init.php';
// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once LIB_PATH . '/Plugin/Component.php';
// Security check

OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN, OA_ACCOUNT_MANAGER);


if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
?>

<style type="text/css">
	data-grid table {
		border: 1px solid #CDCDCD;
		border-collapse: collapse;
		table-layout: fixed;
		width: 100%;
	}

	.table {
		margin: 1em 0 0.5em;
		padding: 0;
		width: 100%;
	}

	table {
		border-collapse: collapse;
	}

	body,
	table,
	td,
	select,
	textarea,
	input,
	button {
		font-family: Arial, Helvetica, sans-serif;
		font-size: 11px;
	}

	table {
		border-collapse: separate;
		border-spacing: 0;
	}

	img,
	table,
	caption,
	tbody,
	tfoot,
	thead,
	tr,
	th,
	td {
		border: 0 none;
		margin: 0;
		outline: 0 none;
		padding: 0;
	}


	body,
	table,
	td,
	select,
	textarea,
	input,
	button {
		font-family: Arial, Helvetica, sans-serif;
		font-size: 11px;
	}

	caption,
	th,
	td {
		font-weight: normal;
		text-align: left;
	}


	table {
		border-collapse: collapse;
	}

	body,
	table,
	td,
	select,
	textarea,
	input,
	button {
		font-family: Arial, Helvetica, sans-serif;
		font-size: 11px;
	}

	table {
		border-collapse: separate;
		border-spacing: 0;
	}

	body,
	table,
	td,
	select,
	textarea,
	input,
	button {
		font-family: Arial, Helvetica, sans-serif;
		font-size: 11px;
	}

	body {
		color: #444444;
	}

	body {
		color: black;
		line-height: 1;
	}
</style>

<?php

if (isset($_GET['bannerid'])) {
	$bannerid = $_GET['bannerid'];
} else {
	die("Id has not been passed. Please try Again");
}

$query = "Select * from {$table_prefix}banners where bannerid=" . $bannerid;
$banInfo = OA_Dal_Delivery_query($query) or die("Error:" . mysqli_error());

if (OA_Dal_Delivery_numRows($banInfo) > 0) {
	$banInfoRow = OA_Dal_Delivery_fetchAssoc($banInfo);


	?>
	<table width="100%">
		<tr>
			<td><strong>Banner Details</strong>
			</td>
		</tr>
		<tr>
			<td>Banner Name:
			</td>
			<td><?php echo $banInfoRow['description'] ?>
			</td>
		</tr>
		<?php
		$camp_select = "select * from " . $table_prefix . "campaigns where campaignid = " . $banInfoRow['campaignid'];
		$res_camp = OA_Dal_Delivery_query($camp_select);
		$camInfoRow = OA_Dal_Delivery_fetchAssoc($res_camp);

		?>
		<tr>
			<td>Campaign Name:</td>
			<td><?php echo $camInfoRow['campaignname'] ?></td>
		</tr>
		<tr>
			<td>Content type:</td>
			<td><?php echo $banInfoRow['contenttype'] ?></td>
		</tr>
		<tr>
			<td>Storage type:</td>
			<td><?php echo $banInfoRow['storagetype'] ?></td>
		</tr>
		<tr>
			<td>Width:
			</td>
			<td><?php echo $banInfoRow['width'] ?>
			</td>
		</tr>
		<tr>
			<td>Height:
			</td>
			<td><?php echo $banInfoRow['height'] ?>
			</td>
		</tr>
		<tr>
			<td>Weight:
			</td>
			<td><?php echo $banInfoRow['weight'] ?>
			</td>
		</tr>
		<tr>
			<td>Destination URL:
			</td>
			<td><?php echo $banInfoRow['url'] ?>
			</td>
		</tr>

		<tr>
			<td> Limit banner views to:
			</td>
			<td><?php echo $banInfoRow['session_capping'] . " <t>in Total" ?>

			</td>
		</tr>
		<tr>
			<td> Limit banner views to:
			</td>
			<td><?php echo $banInfoRow['capping'] . " <t>per Session" ?>
			</td>

		</tr>

		<tr>
			<td colspan="2" style="text-align:left">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:left; font-weight:bolder">Banner Preview - Small Image</td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:left">&nbsp;</td>
		</tr>
		<?php
		if (($banInfoRow['storagetype'] == 'web') && ($banInfoRow['contenttype'] == 'swf')) {
			?>
			<tr>
				<td colspan="2" style="text-align:left">
					<object WIDTH="<?php echo $banInfoRow['width'] ?>" HEIGHT="<?php echo $banInfoRow['height'] ?>">
						<param name="movie" value="../images/<?php echo $banInfoRow['filename'] ?>">
						</param>
						<param name="allowFullScreen" value="true">
						</param>
						<param name="allowscriptaccess" value="always">
						</param>
						<PARAM NAME="bgcolor" VALUE="#FFFFFF">
						<embed src="../images/<?php echo $banInfoRow['filename'] ?>" bgcolor="#FFFFFF"
							type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true"
							WIDTH="<?php echo $banInfoRow['width'] ?>" HEIGHT="<?php echo $banInfoRow['height'] ?>"></embed>
					</object>

				</td>
			</tr>
			<?php
		} elseif (($banInfoRow['storagetype'] == 'web') && ($banInfoRow['contenttype'] != 'swf')) {

			?>
			<tr>
				<td colspan="2" style="text-align:left">
					<div><a href="<?php echo $banInfoRow['url'] ?>"><img src="../images/<?php echo $banInfoRow['filename'] ?>"
								width="<?php echo $banInfoRow['width'] ?>" height="<?php echo $banInfoRow['height'] ?>" /></a>
					</div>
				</td>
			</tr>
			<?php
		}
		if (($banInfoRow['storagetype'] == 'html') || ($banInfoRow['storagetype'] == 'txt')) {
			?>
			<tr>
				<td colspan="2" style="text-align:left"><?php echo $banInfoRow['htmltemplate'] ?></td>
			</tr>
			<?php
		}
		?>

		<tr>
			<td colspan="2" style="text-align:left">&nbsp;</td>
		</tr>





		</tr>

		<tr>
			<td colspan="2" style="text-align:left">&nbsp;</td>
		</tr>


		<tr>
			<td align="center" colspan="2"><a href='#' onclick="window.close()">Close Window</a>
			</td>
		</tr>
	</table>
	<?php
} // End If
?>