<?php

require_once MAX_PATH . '/lib/OA.php';
require_once MAX_PATH . '/lib/max/Plugin/Common.php';
require_once LIB_PATH . '/Extension/bannerTypeHtml/bannerTypeHtml.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

class Plugins_BannerTypeHTML_VideoAds_VideoAds extends Plugins_BannerTypeHTML
{
    /**
     * Return type of plugin
     *
     * @return string A string describing the type of plugin.
     */

    function getStorageType()
    {
        return 'html';
    }

    /**
     * Return the media (content) type
     *
     */
    function getContentType()
    {
        return 'html';
    }

    function getOptionDescription()
    {
        return $this->translate("Video Ads");
    }

    function validateForm(&$form)
    {
        return true;
    }

    function processForm($insert, $bannerid, &$aFields, &$aVariables)
    {

        $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
        $ban = OA_Dal_Delivery_query("select * from {$table_prefix}banners WHERE bannerid=" . $bannerid);

        $banapp = OA_Dal_Delivery_fetchAssoc($ban);

        $ser = unserialize($banapp['parameters']);


        $set_video_url = $ser['video_url'];
        $set_video = $ser['rm_video'];
        $set_upload_type = $ser['video_upload_type'];

        $rm_video = '';

        if ($_FILES['rm_video']['name'] != '' && $_POST['video_upload_type'] == "Internal" && $_POST['rm_rvideo'] == "t") {

            $target_dir = $GLOBALS['_MAX']['CONF']['webpath']['images'];
            $target_file = $target_dir . "/" . basename($_FILES["rm_video"]["name"]);

            $image = $_FILES['rm_video']['tmp_name'];
            $filename = basename($_FILES['rm_video']['name']);
            $new = explode(".", $filename);
            $encryptfilename = md5($new[0]);
            $rm_video = $encryptfilename . "." . $new[1];
            $location = "../images/";

            if (!file_exists($location . $rm_video)) {
                move_uploaded_file($image, $location . $rm_video);
            }
            $video_url = "";
        } else if ($_POST['video_upload_type'] == "External" && $_POST['video_url'] != '') {
            $rm_video = '';
            $video_url = $_POST['video_url'];
        } else if ($_FILES['rm_video']['name'] == '' && $_POST['video_upload_type'] == "Internal" && $_POST['pre_vid'] != '') {
            $rm_video = $_POST['pre_vid'];
        }
        $filename = basename($rm_video);

        $prev_file_name = $_POST['pre_vid'];
        $next_bannertype = $_POST['ext_bannertype'];
        $pre_vdo_url = $_POST['pre_vdo_url'];
        // print_r($_POST['video_upload_type']);
        // exit();


        if($_POST['video_upload_type'] == 'Internal'){
            if($prev_file_name != $rm_video){   
                // print_r("admin approve to file name change");
                // exit();
                OA_Dal_Delivery_query("update {$table_prefix}banners set admin_approve ='0' where bannerid = " . $bannerid);
        
            }
        }else if ($_POST['video_upload_type'] == 'External'){
                if ($pre_vdo_url != $_POST['video_url']){
                // print_r("admin approve to url ");
                // exit();
                OA_Dal_Delivery_query("update {$table_prefix}banners set admin_approve ='0' where bannerid = " . $bannerid);
        
            }
        }
        $inlinefields = array(
            'video_upload_type' => $_POST['video_upload_type'],
            'video_url' => $video_url,
            'weight' => $_POST['weight'],
            'keyword' => $_POST['keyword'],
            'comments' => $_POST['comments'],
            'description' => $_POST['description'],
            'extension_type' => $_POST['extension_type'],
            'rm_video' => $rm_video,
            'startTime' => $_POST['startTime'],
            'endTime' => $_POST['endTime']

        );

        $ban = OA_Dal_Delivery_query("select * from {$table_prefix}banners WHERE bannerid=" . $bannerid);
        $banapp = OA_Dal_Delivery_fetchAssoc($ban);

        $ser = unserialize($banapp['parameters']);
        

    
        // if ($_POST['video_upload_type'] == $set_upload_type) {

        //     if ($_POST['video_upload_type'] == 'External') {
        //         if (strcmp($_POST['video_url'], $ser['video_url']) != 0) {
        //             OA_Dal_Delivery_query("update {$table_prefix}banners set admin_approve ='0' where bannerid = " . $bannerid);
        //         }
        //     } else {
        //         if ($_POST['rm_rvideo'] == 't') {

        //             OA_Dal_Delivery_query("update {$table_prefix}banners set admin_approve ='0' where bannerid = " . $bannerid);
        //         }
        //     }
        // } else {
        //     OA_Dal_Delivery_query("update {$table_prefix}banners set admin_approve ='0' where bannerid = " . $bannerid);
        // }

        OA_Dal_Delivery_query("update {$table_prefix}banners set parameters = '" .
            serialize($inlinefields) . "',width='-6',height='-6'  where bannerid = " . $bannerid);



        $current_date = date('Y-m-d H:i:s');
        $sdate = $_POST['start'];
        $stime = $_POST['startTime'];
        $end = $_POST['end_date'];
        $endTime = $_POST['endTime'];

        $activate_time_db = strtotime($sdate . ' ' . $stime);
        $expire_time_db = strtotime($end . ' ' . $endTime);

        $activate_time = date('Y-m-d H:i:s', $activate_time_db);
        $expire_time = date('Y-m-d H:i:s', $expire_time_db);

        if ($current_date >= $activate_time && $current_date <= $expire_time) {
            $ban1 = OA_Dal_Delivery_query("select * From {$table_prefix}banners WHERE bannerid=" . $bannerid);
            $banapp1 = OA_Dal_Delivery_fetchAssoc($ban1);

            if ($banapp1['admin_approve'] == 0) {
                OA_Dal_Delivery_query("UPDATE {$table_prefix}banners SET status = 1 WHERE bannerid = $bannerid");
            } else {
                OA_Dal_Delivery_query("UPDATE {$table_prefix}banners SET status = 0 WHERE bannerid = $bannerid");
            }
        }
        if ($expire_time < $current_date) {
            OA_Dal_Delivery_query("UPDATE {$table_prefix}banners SET status = 1 WHERE bannerid = $bannerid");
        }

        return true;
    }

    function preprocessForm($insert, $bannerid, &$aFields, &$aVariables)
    {
        return true;
    }

    function buildForm(&$form, &$row)
    {
        //FETCH VALUE 
        $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

        if ($row['bannerid']) {
            $array = OA_Dal_Delivery_query("select * from {$table_prefix}banners where bannerid ='" . $row['bannerid'] . "' ");
            $values1 = OA_Dal_Delivery_fetchAssoc($array);

            $values = unserialize($values1['parameters']);

            $row['video_upload_type'] = $values['video_upload_type'];
            $row['video_url'] = $values['video_url'];
            $row['external_wrapper'] = $values['external_wrapper'];
            $row['extension_type'] = $values['extension_type'];
            $row['rm_video'] = $values['rm_video'];
            $row['startTime'] = $values['startTime'];
            $row['endTime'] = $values['endTime'];
            $form->addElement('hidden', 'adupload_type', $values['video_upload_type'], "");
            $form->addElement('hidden', 'pre_vid', $values['rm_video']);
            $form->addElement('hidden', 'ext_bannertype', $this->getComponentIdentifier());
            $form->addElement('hidden', 'pre_vdo_url',$values['video_url']);

            $row['selected_category'] = $values1['selected_category'];
        }

        //~INTERNAL / EXTERNAL TYPE 

        //~INTERNAL / EXTERNAL VIDEO TYPE
        $VUtype[] = $form->createElement('radio', 'video_upload_type', "", "Video Upload", "Internal", array("id" => "vid_internal", "values" => "Internal"));
        $VUtype[] = $form->createElement('radio', 'video_upload_type', "", "Video URL", "External", array("id" => "vid_external", "values" => "External"));

        $form->addGroup($VUtype, 'video_upload_type', 'Select Video Type', "&nbsp;", false);

        addUploadGroup(
            $form,
            $row,
            array(

                'uploadName' => 'rm_video',
                'radioName' => 'rm_rvideo',
                'imageName' => $front_image,
                'fileName' => $values['rm_video'],
                'fileSize' => $front_size,
                'newLabel' => 'Select the <b>Video </b> you want to use for this banner <span style="color:red">*</span>',
                'updateLabel' => "Do you wish to keep your existing <b>Video</b>, or do you want to upload another?",
                'handleSWF' => true
            )
        );
        
        $form->addElement('text', 'video_url', 'Video URL');
        $extension_type = array("MP4" => "mp4", "webm" => "WEBM");
        $form->addElement('select', 'extension_type', 'Extension Type', $extension_type);

        //expiriation date
        $expDateGroup['disablednote'] = $form->createElement('custom', 'date-campaign-date-limit-set-note', null, null, false);
        $form->addDecorator('date-campaign-date-limit-set-note', 'tag', ['attributes' => ['id' => 'date-section-limit-date-set', 'class' => 'hide']]);

        // $form->addElement('text', 'destination_url', "Destination URL");
        $front_image = _getContentTypeIconImageName($row['contenttype']);
        $front_size = _getBannerSizeText($type, $row['filename']);

        //~UNIQUE BANNER FOR BANNER LINK
        $form->addElement('hidden', 'ext_bannertype', $this->getComponentIdentifier());

        //~JS
        $form->addElement('html', 'jsForVIDEO', '<script>
    
            $(document).ready(function()
            {
                $("input[type=file]").attr("id","rm_video");
                var vidtype = "' . $values['video_upload_type'] . '";
                vid_upload(vidtype);
                var test2 = "' . $values['rm_video'] . '";
                var vid_url = "' . $values['video_url'] . '";
                if(test2 != "")
                {
                   $("#video_url").parent().parent().hide();
                }
                else
                {
                    $("#rm_video").parent().parent().hide();
                }
                if(vid_url != "")
                {
                    $("#video_url").parent().parent().show();
                }
                else{}
                
                
             
                //~FOR VIDEO UPLOAD TYPE SELECTION
                $("input[name = video_upload_type]").click(function(){
                    vid_upload($(this).val());
                });

                function vid_upload(up_type)
                {
                    if(up_type == "External")
                    {
                        $("#submit").show();
                        $("#video_url").parent().parent().show();
                        $("#rm_video").parent().parent().hide();
                       
                        $("#video_url").keypress(function(){
                            $("#submit").show();
                           
                          });
                       
                        var abc= document.getElementById("video_url");
                        abc.addEventListener("click",function(){ $("#submit").show(); });
                        if(vid_url != "")
                         {
                            $("#submit").show();
                         }
                         //validations 

                         var text1 =$("#video_url").val();
                         if(text1 !="")
                            {
                                $("#video_url").attr("required",false);
                                $("#rm_video").attr("required",false);
                            }
                          else if(text1 =="")
                          {
                            $("#video_url").attr("required",true);
                          }  

                    }
                    else if(up_type == "Internal"){
                        $("#rm_video").parent().parent().show();
                        $("#vid_external").attr("checked",false);
                        $("#vid_internal").attr("checked",true);
                        $("#video_url").parent().parent().hide();
                        
                      
                       
                        if($("#rm_video")[0].files.length == 0 && $("input[name=rm_rvideo]")[0].value == "t")
                        {   
                            //validation
                            $("#rm_video").attr("required",true);
                            $("#video_url").attr("required",false);
                         

                        }
                        else if($("#rm_video")[0].files.length == 0 && $("input[name=rm_rvideo]")[0].value == "f")
                        {
                            $("#rm_video").attr("required",false);
                             $("#submit").show(); 
                        }
                    }
                    else{
                        $("#video_url").parent().parent().hide();
                        $("#rm_video").parent().parent().hide();
                    }
                }
                    //update
                    $("form").submit(function()
                    { 
                       
                       
                        if(up_type == "External")
                        {
                            var abc= $("input[name=video_upload_type]:checked").val();
                            {
                                if(abc =="Internal")
                                {
                                    
                                    $("input[name=rm_video]").attr("required",true);  
                                                            
                                }
                            }
                        }
                        var abc= $("input[name=video_upload_type]:checked").val();
                                
                        if(abc == "External")
                        {
                            var text1 =$("#video_url").val();
                            
                           
                            if(text1 !="")
                            {
                                $("#video_url").attr("required",false);
                            }
                            
                        
                            if( text1 !="")
                            {
                                $("#video_url").attr("required",false);
                            }
                            else if(text1 ==""){
                                alert("Enter Video Url ");
                                return false;
                            }
                                    
                        }
                        });
                    $("#startTime").timepicker( {

                        timeFormat: "HH:mm",
                    interval: 5,
                    minTime: "0",
                    maxTime: "23:55",
                    startTime: "0",
                    dynamic: false,
                    dropdown: true,
                    scrollbar: true
                        
                    }
                    );  
                    $("#endTime").timepicker( {
                        timeFormat: "HH:mm",
                    interval: 5,
                    minTime: "0",
                    maxTime: "23:55",
                    startTime: "0",
                    dynamic: false,
                    dropdown: true,
                    scrollbar: true
                      
                });
                Calendar.setup({
    
                    inputField : "start",
                    ifFormat   : "%Y-%m-%d",
                    button     : "start_button",
                    align      : "Bl",
                    weekNumbers: false,
                    electric   : false,
                    onUpdate   : function() {
                        $("#start").change();
                    }
                });
               
                Calendar.setup({
                   inputField : "end_date",
                   ifFormat : "%Y-%m-%d",
                   button : "end_button",
                   align : "Bl",
                   weekNumbers: false,
                   electric : false,
                   /*onUpdate : function() {
                       $("#end").change();
                   }*/
                });
               
                     
            });
           
            $("form").submit(function()
                    { 
               
                        var start = $("#start").val();
                        var end_date = $("#end_date").val();
                        var startTime =$("#startTime").val();
                        var endTime = $("#endTime").val();
                        var cat= document.getElementById("s_cat").value;
                      
                       
                       if(startTime=="")
                       {
                        alert("Please enter start time");
                        return false;
                       } 
                       if(endTime=="")
                       {
                       alert("Please enter end time");
                       return false;
                       } 
                       if(cat=="")
                       {
                         
                           alert("Please select category");
                           return false;
                       }
                        if(start=="")
                        {
                           
                        var start_date= start ;
                        var end_date= end_date;
                        var dateString=start;
                        var regEx1 = /^\d{4}-\d{2}-\d{2}$/;
                        if(!dateString.match(regEx1))
                        {
                            alert("Please enter start date");
                            return false;
                        } 
                       }
                       if(end_date=="")
                       {
                       var dateString2=end_date;
                       var regEx2 = /^\d{4}-\d{2}-\d{2}$/;
                       if(!dateString2.match(regEx2))
                       {
                        alert("Please enter end date");
                        return false;
                        } 
                    }
                  
                        var d2 = new Date(start);
                        var d3 = new Date(end_date);
                       
                
                    
                 
                 if(start > end_date)
                 {
                     
                     document.getElementById("is_enddate").style.display = "block";
                     return false;
                 }
            
                 else if(start =="" ||  end_date =="" )
                 {
                    
                     document.getElementById("is_enddate").style.display = "block";
                     return false;
                 }
                 else{
                     document.getElementById("is_enddate").style.display = "none";
                     
                 }
                
                    });
            
         
            //~VALIDATION

            $("input[name = rm_video]").change(function() 
            {      
                 var file = $(this).val();
                var exts = ["mp4", "webm"];

                // first check if file field has any value

                if (file) 
                {
                   
                    // split file name at dot
                    var get_ext = file.split(".");

                    // reverse name to check extension
                    get_ext = get_ext.reverse();

                    // check file type is valid as given in "exts" array
                    if ($.inArray(get_ext[0].toLowerCase(), exts) > -1) {
                        $("#submit").show();
                    } 
                    else {
                        alert("Invalid file!");
                        $("#submit").hide();
                    }
                }
            });
           
          
        </script>');

        $translation = new OX_Translation();
        $form->addRule('video_upload_type', 'Video Upload Type is Required', 'required');

        //customize category code start

        $iCategory = '<span id="sect_pricing" class="">
       <table class="section" border="0" width="100%" cellpadding="0" cellspacing="0">
       <tbody>
       <tr><td height="25" colspan="3"><b>Category Settings</b></td></tr>
       <tr style="height:1px;">
       <td width="30"><img src="' . OX::assetPath() . '/images/break.gif" alt="" style="height:1px; width:30px;"></td>
       <td width="170"><img src="' . OX::assetPath() . '/images/break.gif" alt="" style="height:1px; width:170px;"></td>
       <td width="100%"><img src="' . OX::assetPath() . '/images/break.gif" alt="" style="height:1px;" width="100%"></td>
       </tr>';
    }
}
