<?php

require_once '../../init.php';
// Required files

require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OA/Maintenance/Priority.php';


// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
 $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];


$ad_ids= explode(',',$_REQUEST['bid']);

$action = $_GET['value'];
switch($action){
	case 'approve':
		foreach($ad_ids as $id){
			 $banner_state = OA_Dal_Delivery_query("Update rv_banners set status='0',admin_approve='1' where bannerid='{$id}'") or die(mysqli_error());
		}
		 $msg="Approved";	
		 break;
	case 'reject':
		foreach($ad_ids as $id){
			
			$banner_state = OA_Dal_Delivery_query("Update rv_banners set status='1',admin_approve='2' where bannerid='{$id}' ") or die(mysqli_error());
		}
		$msg="Rejected";
		 break;
	case 'delete':
		foreach($ad_ids as $id){			
			OA_Dal_Delivery_query("Delete from rv_banners where bannerid='{$id}'") or die(mysqli_error()); 
		}
		$msg="Deleted";
		 break;
	
}

$translation = new OX_Translation ();
$translated_message = $translation->translate ("Banner has been ".$msg);
OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
header('Location: account-settings-banner-approve.php');
?>

